/*  Copyright 1987 Bart Miller.  All rights reserved.
 *  Explicit permission required to redistributed this software.
 */

#include <sys/param.h>
#include <netinet/in.h>
#include <stdio.h>

#include "swbmsg.h"
#include "table.h"


/*
 *		*------------------------------*
 *		|                              |
 *		|      SockToHostAddr          |
 *		|                              |
 *		*------------------------------*
 */

SockToHostAddr (sock, addr)
    long sock;
    struct in_addr *addr;
{
	struct sockaddr_in sa;
	int len;

	len = sizeof (struct sockaddr_in);
	if (getpeername (sock, &sa, &len) < 0)
	{
		perror ("getpeername in SockToHostAddr");
		exit (-1);
	}
	addr->s_addr = sa.sin_addr.s_addr;
}
